Bug 213222 - x11/nvidia-driver: false dependency on linux.ko (patch included)
Summary: x11/nvidia-driver: false dependency on linux.ko (patch included)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexey Dokuchaev
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-10-05 06:34 UTC by Peter Wemm
Modified: 2016-10-12 00:36 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
Fix linux.ko false dependency (607 bytes, patch)
2016-10-05 06:34 UTC, Peter Wemm
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Wemm freebsd_committer freebsd_triage 2016-10-05 06:34:40 UTC
Created attachment 175441 [details]
Fix linux.ko false dependency

The most recent driver update includes a second nvidia-modeset.ko file.

However, the build process doesn't respect the LINUX compile option.

I've adapted way this is done for the core driver and included a fix.
Comment 1 Peter Wemm freebsd_committer freebsd_triage 2016-10-06 19:25:32 UTC
Is there any chance this could be committed?  It makes the driver usable again without having to bring linux.ko into the mix.
Comment 2 Conrad Meyer freebsd_committer 2016-10-08 17:07:35 UTC
Danfe doesn't really respond to bugzilla.  Throw it in phabricator and threaten to commit it and he may respond within a few weeks.
Comment 3 Alexey Dokuchaev freebsd_committer 2016-10-08 20:31:57 UTC
He does respond to Bugzilla, and usually simple patches would be committed shortly, except when not being interrupted by an unfortunate HDD failure he's currently trying to recover from.
Comment 4 commit-hook freebsd_committer 2016-10-12 00:31:39 UTC
A commit references this bug:

Author: danfe
Date: Wed Oct 12 00:31:28 UTC 2016
New revision: 423810
URL: https://svnweb.freebsd.org/changeset/ports/423810

Log:
  Fix `linux.ko' false dependency.  Starting with version 358.09, the driver
  includes a new kernel module, `nvidia-modeset.ko', a driver component that
  works in conjunction with the `nvidia.ko' kernel module.

  However, previously the build process did not respect LINUX compile (port)
  option.  Adopt the same way this is done for the core driver.

  PR:		213222
  Submitted by:	peter

Changes:
  head/x11/nvidia-driver/Makefile
Comment 5 Alexey Dokuchaev freebsd_committer 2016-10-12 00:36:00 UTC
Committed as ports r423810, thank you for the patch, and sorry for inadvertent delay.